Subject: bug#46220: closed (Re: bug#46220: Fwd: Some non-standard O_* flags are missing)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 May 2021 10:06:02 +0000

Your bug report

#46220: Fwd: Some non-standard O_* flags are missing

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46220: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46220
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46220: Fwd: Some non-standard O_* flags are missing
From: Ludovic Courtès <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 May 2021 12:05:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxime,

Maxime Devos <[email-masked]> skribis:

> From d769a75962c64804f354a0133494491626b8b2dc Mon Sep 17 00:00:00 2001
> From: Maxime Devos <[email-masked]>
> Date: Tue, 2 Mar 2021 18:03:22 +0100
> Subject: [PATCH] Define `O_NOFOLLOW' and various other flags when supported.
> MIME-Version: 1.0
> Content-Type: text/plain; charset=UTF-8
> Content-Transfer-Encoding: 8bit
>
> * libguile/filesys.c (scm_init_filesys): Define ‘O_IGNORE_CTTY’,
>   ‘O_NOLINK’, ‘O_NOFOLLOW’, ‘O_PATH’, ‘O_TMPFILE’, ‘O_SHLOCK’,
>   ‘O_EXLOCK’, ‘O_ASYNC’, ‘O_NOATIME’, ‘O_DIRECTORY’, ‘O_CLOEXEC’
>   and ‘O_DIRECT’ when available.

Pushed as 553c82cee924f0bada27f8209c3bcb28be407953, followed with a NEWS
update.

Thanks!

Ludo’.

Subject: Fwd: Some non-standard O_* flags are missing
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2021 22:30:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guilers,

I've accidentally sent the message to guile-devel instead
of bug-guile.  The bug report is forwarded here.

Subject: Some non-standard O_* flags are missing
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2021 22:13:10 +0100

Hi guilers,

I noticed the following open flags are not defined:
O_NOFOLLOW, O_TMPFILE, O_IGNORE_CTTY, O_NOLINK,
O_SHLOCK, O_EXLOCK, O_ASYNC, O_NOATIME.

Some of these are Hurd-specific, Linux-specific
and BSD-specific.  I'm particularily interested
in O_NOFOLLOW, O_TMPFILE, O_IGNORE_CTTY, O_NOLINK
and O_NOATIME, the others don't matter for me,
though they may be useful for others.

Could extra O_* flags be exported to Guile (in libguile/filesys.c)
on systems where they are defined?

Greetings,
Maxime
-- 
Maxime Devos <[email-masked]>
PGP Key: C1F3 3EE2 0C52 8FDB 7DD7  011F 49E3 EE22 1917 25EE
Freenode handle: mdevos